/*Is dialog predicate*/
#define IsDialog(d) IntVarEql(d, CLASSID, CLASS_DIALOG)

/*	prototypes for ScianDialogs.c */

void InitDialogs(void);
void KillDialogs(void);

#ifdef PROTO

ObjPtr NewAlertPanel(int, int, int, int, char *);
WinInfoPtr GetDialog(WinInfoPtr, ObjPtr, char *, int, int, int, int, long);
WinInfoPtr DialogExists(WinInfoPtr, ObjPtr);
ObjPtr ReportError(char *, char *);
WinInfoPtr AskUser(WinInfoPtr ownerWin, char *prompt, FuncTyp CallBack, char *reply);
WinInfoPtr AlertUser(int, WinInfoPtr, char *, FuncTyp, int, ...);
void DrawFrameRect(int left, int right, int bottom, int top, int color, int frameWidth);

#else

ObjPtr NewAlertPanel();
WinInfoPtr GetDialog();
WinInfoPtr DialogExists();
ObjPtr ReportError();
WinInfoPtr AskUser();
WinInfoPtr AlertUser();

#endif

